---
title: 'Window: online event'
slug: Web/API/Window/online_event
tags:
  - API
  - Event
  - Online
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <strong><code>online</code></strong> event of the {{domxref("Window")}} interface is fired when the browser has gained access to the network and the value of {{domxref("Navigator.onLine")}} switches to <code>true</code>.</p>

<div class="note"><strong>Note:</strong> This event shouldn't be used to determine the availability of a particular website. Network problems or firewalls might still prevent the website from being reached.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.ononline", "ononline")}}</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt style="float: left; text-align: right; width: 120px;"></dt>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// addEventListener version
window.addEventListener('online', (event) =&gt; {
    console.log("You are now connected to the network.");
});

// ononline version
window.ononline = (event) =&gt; {
  console.log("You are now connected to the network.");
};
</pre>

<h2 class="brush: js" id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "indices.html#event-online", "online event")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.online_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Window/offline_event"><code>offline</code></a></li>
</ul>
